Page MenuHomePhabricator

[Statepoints] Allow deopt GC pointer on VReg if gc-live bundle is empty.
ClosedPublic

Authored by dantrushin on Oct 7 2020, 12:02 PM.

Details

Summary

Currently we allow passing pointers from deopt bundle on VReg only if
they were seen in list of gc-live pointers passed on VRegs.
This means that for the case of empty gc-live bundle we spill deopt
bundle's pointers. This change allows lowering deopt pointers to VRegs
in case of empty gc-live bundle. In case of non-empty gc-live bundle,
behavior does not change.

Diff Detail

Event Timeline

dantrushin created this revision.Oct 7 2020, 12:02 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 7 2020, 12:02 PM
dantrushin requested review of this revision.Oct 7 2020, 12:02 PM
skatkov accepted this revision.Oct 8 2020, 11:49 PM
This revision is now accepted and ready to land.Oct 8 2020, 11:49 PM
This revision was landed with ongoing or failed builds.Oct 10 2020, 12:59 AM
This revision was automatically updated to reflect the committed changes.